%define pkgname pkg-config

Name:		pkgconfig
Version:	0.27.1
Release:	%mkrel 2
Summary:	Pkgconfig helps make building packages easier
Source0:	http://pkgconfig.freedesktop.org/releases/%{pkgname}-%version.tar.gz
URL:		http://pkg-config.freedesktop.org/
# (fhimpe) Otherwise packages with pc files having
# Requires: pkg-config > X are not installable
Provides:	pkgconfig(pkg-config) = %{version}
License:	GPLv2+
Group:		Development/Other
BuildRequires:	glib2-devel

%description
pkgconfig is a program which helps you gather information to make
life easier when you are compiling a program for those programs which support
it.

In fact, it's required to build certain packages.

%prep
%setup -q -n %{pkgname}-%{version}

%build
%configure2_5x \
%if "%{_lib}" != "lib"
	--with-pc-path="%{_libdir}/pkgconfig:%{_datadir}/pkgconfig:%{_libdir}/pkgconfig/32" \
%endif
	--with-internal-glib=no
%make

%install
%makeinstall_std

rm -fr %{buildroot}%{_datadir}/doc

mkdir -p %{buildroot}%{_libdir}/pkgconfig
%if "%{_lib}" != "lib"
mkdir -p %{buildroot}%{_prefix}/lib/pkgconfig
ln -s ../../lib/pkgconfig %{buildroot}%{_libdir}/pkgconfig/32
%endif

mkdir -p %{buildroot}%{_datadir}/pkgconfig

%check
%make check

%files
%doc AUTHORS COPYING INSTALL README ChangeLog pkg-config-guide.html
%{_bindir}/pkg-config
%dir %{_libdir}/pkgconfig
%{_datadir}/pkgconfig
%if "%{_lib}" != "lib"
%{_prefix}/lib/pkgconfig
%{_libdir}/pkgconfig/32
%endif
%{_datadir}/aclocal/*
%{_mandir}/man1/*


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.27.1-2.mga3
+ Revision: 377783
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Oct 07 2012 luigiwalser <luigiwalser> 0.27.1-1.mga3
+ Revision: 303104
- 0.27.1

* Sat Jul 14 2012 fwang <fwang> 0.27-1.mga3
+ Revision: 270716
- new version 0.27

* Tue Feb 14 2012 ovitters <ovitters> 0.26-2.mga2
+ Revision: 208723
- clean spec

* Thu Jun 16 2011 tv <tv> 0.26-1.mga2
+ Revision: 108415
- new version
- drop patch 6
- update patch 0

* Tue Jan 11 2011 dmorgan <dmorgan> 0.25-1.mga1
+ Revision: 6316
- imported package pkgconfig

